Bug 855956 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:27f47e593a251cc0177d33b8702...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 14:19 EDT by Chad Feller
Modified: 2013-08-01 15:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 15:30:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.54 KB, text/plain)
2012-09-10 14:19 EDT, Chad Feller
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (382 bytes, text/plain)
2012-09-10 14:19 EDT, Chad Feller
no flags Details

  None (edit)
Description Chad Feller 2012-09-10 14:19:04 EDT
Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.5.3-1.fc17.x86_64

backtrace:
:0: /usr/bin/X (xorg_backtrace+0x36) [0x4652a6]
:1: /usr/bin/X (mieqEnqueue+0x26b) [0x5514ab]
:2: /usr/bin/X (0x400000+0x47f02) [0x447f02]
:3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f4f7a603000+0x60e4) [0x7f4f7a6090e4]
:4: /usr/bin/X (0x400000+0x80787) [0x480787]
:5: /usr/bin/X (0x400000+0xa4a80) [0x4a4a80]
:6: /lib64/libpthread.so.0 (0x3133800000+0xefe0) [0x313380efe0]
:7: /lib64/libpixman-1.so.0 (0x314c400000+0x14b1e) [0x314c414b1e]
:8: /lib64/libpixman-1.so.0 (0x314c400000+0x144c6) [0x314c4144c6]
:9: /lib64/libpixman-1.so.0 (0x314c400000+0x42177) [0x314c442177]
:10: /lib64/libpixman-1.so.0 (pixman_image_composite32+0x3d6) [0x314c409fd6]
:11: /usr/lib64/xorg/modules/libfb.so (fbComposite+0x1d8) [0x7f4f7e181a88]
:12: /usr/lib64/xorg/modules/libexa.so (0x7f4f7df53000+0x11fdd) [0x7f4f7df64fdd]
:13: /usr/lib64/xorg/modules/libexa.so (0x7f4f7df53000+0xe898) [0x7f4f7df61898]
:14: /usr/bin/X (0x400000+0x102109) [0x502109]
:15: /usr/bin/X (0x400000+0xfb074) [0x4fb074]
:16: /usr/bin/X (0x400000+0x3444a) [0x43444a]
:17: /usr/bin/X (0x400000+0x23485) [0x423485]
:18: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3132c21735]
:19: /usr/bin/X (0x400000+0x2375d) [0x42375d]
Comment 1 Chad Feller 2012-09-10 14:19:06 EDT
Created attachment 611533 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 Chad Feller 2012-09-10 14:19:08 EDT
Created attachment 611534 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 3 Chad Feller 2012-09-27 13:35:52 EDT
I've reported a few of these Xorg server crashes lately, typically they happen when opening a new window.  The previous events have been triggered by opening a new browser window.  This crash happened when opening a new Konsole window.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Chad Feller 2012-10-01 13:38:15 EDT
This crash, like other crashes, seems to have been triggered by opening an additional desktop window.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Adam Jackson 2012-10-18 17:50:33 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 6 Adam Jackson 2012-10-18 17:50:45 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 7 Chad Feller 2012-10-18 19:11:49 EDT
(In reply to comment #6)
> Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this
> is still reproduceable.

Look at the subsequent crashes in comment #3, and comment #4.  They both show:
xorg-x11-server-Xorg-1.12.3-2.fc17
Comment 8 Chad Feller 2012-11-09 16:10:08 EST
Opened a new browser tab.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Chad Feller 2012-11-13 18:20:03 EST
opened new browser window

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Henry Pfeil 2012-12-15 12:15:05 EST
Duplicate of 887498

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Henry Pfeil 2012-12-31 15:24:41 EST
One of three abrts from the same incident already reported.
Henry Pfeil 2012-12-31 14:35:03 EST 
https://bugzilla.redhat.com/show_bug.cgi?id=847485#c33


Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 stan 2013-02-08 15:10:05 EST
Description of problem:
I was starting LXDE using startx with LXDE set in the file .Xclients.

Even though there was this error, X started and LXDE is running.  Not sure if 
there are errors that will appear later, but so far so good.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-4.fc17

Additional info:
executable:     /usr/bin/X
kernel:         3.7.3-101.20130120.fc17.x86_64

Truncated backtrace:
0: /usr/bin/X (xorg_backtrace+0x36) [0x465326]
1: /usr/bin/X (mieqEnqueue+0x26b) [0x55158b]
2: /usr/bin/X (0x400000+0x47f22) [0x447f22]
3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7fad81c1b000+0x60e4) [0x7fad81c210e4]
4: /usr/bin/X (0x400000+0x80817) [0x480817]
5: /usr/bin/X (0x400000+0xa4b00) [0x4a4b00]
6: /lib64/libpthread.so.0 (0x3a65600000+0xefe0) [0x3a6560efe0]
7: /lib64/libpixman-1.so.0 (0x3a74e00000+0x19f2c) [0x3a74e19f2c]
8: /lib64/libpixman-1.so.0 (0x3a74e00000+0x144c6) [0x3a74e144c6]
9: /lib64/libpixman-1.so.0 (0x3a74e00000+0x42162) [0x3a74e42162]
10: /lib64/libpixman-1.so.0 (pixman_image_composite32+0x3d6) [0x3a74e09fd6]
11: /usr/lib64/xorg/modules/libfb.so (fbComposite+0x1d8) [0x7fad82760a88]
12: /usr/lib64/xorg/modules/libexa.so (0x7fad82532000+0x11f4d) [0x7fad82543f4d]
13: /usr/lib64/xorg/modules/libexa.so (0x7fad82532000+0xe828) [0x7fad82540828]
14: /usr/bin/X (0x400000+0x102019) [0x502019]
15: /usr/bin/X (0x400000+0xfaf74) [0x4faf74]
16: /usr/bin/X (0x400000+0x3446a) [0x43446a]
17: /usr/bin/X (0x400000+0x23475) [0x423475]
18: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3a64a21735]
19: /usr/bin/X (0x400000+0x2374d) [0x42374d]
Comment 13 Fedora End Of Life 2013-07-04 03:24:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-08-01 15:30:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.